### Method

# Gtk InfoBarset_default_response

deprecated: 4.10

#### Declaration [src]

    void
    gtk_info_bar_set_default_response (
      GtkInfoBar* info_bar,
      int response_id
    )

#### Description [src]

Sets the last widget in the info bar’s action area with the given response_id as the default widget for the dialog.

Pressing “Enter” normally activates the default widget.

Note that this function currently requires `info_bar` to be added to a widget hierarchy.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`response_id`

  Type: `int`

  A response ID.